Bug 480443 - (F11-new-font-naming) [Tracker] Deploy new fonts package naming guidelines
[Tracker] Deploy new fonts package naming guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Bill Nottingham
http://fedoraproject.org/wiki/Packagi...
: Tracking
Depends On: 480444 480445 480446 480447 480448 480449 480450 480451 480452 480453 480454 480455 480456 480457 480458 480459 480460 480461 480462 480463 480464 480465 480466 480467 480468 480469 480470 480471 480472 480473 480474 480475 480476 480477 480478 480479 480480 480481 480482
Blocks: F11-new-font-rules
  Show dependency treegraph
 
Reported: 2009-01-17 07:25 EST by Nicolas Mailhot
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-18 07:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-01-17 07:25:40 EST
FPC unexpectedly refused to approve a proposal that put into writing the package naming rules for fonts Fedora had been using in the past years, and made us change it.

Deal with the fallout.

http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29#fpc_renaming

The revised font naming rules are here:
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
Comment 1 Nicolas Mailhot 2009-02-18 14:33:11 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 2 John Poelstra 2009-06-08 15:23:51 EDT
Adding 'Tracking' keyword to be excluded from rawhide rebase to Fedora 11
Comment 3 Bill Nottingham 2010-01-14 17:23:21 EST
Assigning to someone more likely than me to track when all the dependent bugs
are fixed.
Comment 4 Paul Flo Williams 2011-05-18 07:29:03 EDT
All dependents are now marked as closed. I've been through them and they seem to be closed correctly. mapserver (bug #480462) and gramps (bug #480457) were CLOSED WONTFIX by the F11 EOL but the packages in F14 have the correctly-named dependencies.

Closing. Please reopen if I've misunderstood something.

Note You need to log in before you can comment on or make changes to this bug.